Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 479334 - RFE: need system.schedulePackageRemove API
Summary: RFE: need system.schedulePackageRemove API
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: API
Version: 0.4
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Brad Buckingham
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2009-01-08 21:51 UTC by Brad Buckingham
Modified: 2009-01-22 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 16:31:31 UTC


Attachments (Terms of Use)

Description Brad Buckingham 2009-01-08 21:51:08 UTC
Description of problem:


Version-Release number of selected component (if applicable):

Currently, we have an API (system.schedulePackageInstall) that may be used to schedule installation of packages on a system; however, don't have a corresponding API to remove packages from the system.  This BZ is to address that inconsistency by adding system.schedulePackageRemove.

How reproducible:

Always.  API doesn't exist.

Steps to Reproduce:
1. register a system
2. attempt to remove a package from the system using system.schedulePackageRemove API... (Note: cannot be done... API doesn't exist)
  
Actual results:

Cannot execute step 2.

Expected results:

API exists and package is removed.

Additional info:

Comment 1 Brad Buckingham 2009-01-08 21:52:23 UTC
API added. 

commit	bf3d277e69c240d7fdaa9f8b802f9cd044c229ac

Comment 2 Brad Buckingham 2009-01-15 15:17:03 UTC
verified on spacewalk-java-0.4.14-1.el5


Note You need to log in before you can comment on or make changes to this bug.